.is-vertical.is-layout-flex .wp-block-buttons {
  width: 100%;
}

.wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-c);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-a);
}
.wp-block-button__link {
  min-height: 40px;
  letter-spacing: 0.02rem;
  line-height: 1.4;
  padding-top: 0.3rem;
  padding: var(--wp--custom--button-padding);
  border-style: solid;
  transition: all 0.25s ease;
}
.wp-block-button__link:hover, .wp-block-button__link:focus {
  color: var(--wp--button--hover-color);
  background-color: var(--wp--button--hover-bg-color, var(--wp--button--color));
  border-color: var(--wp--button--hover-border-color, var(--wp--button--hover-bg-color));
}
.wp-block-button__link:before {
  font-size: 24px;
  float: left;
  line-height: 0.9;
  margin-left: 7px;
  float: right;
}
.wp-block-button.is-style-button-black {
  --wp--button--color: var(--wp--preset--color--black);
  --wp--button--hover-color: var(--wp--preset--color--white);
  --wp--button--hover-bg-color: var(--wp--preset--color--black);
}
.wp-block-button.is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}
.wp-block-button.not-before .wp-block-button__link:before {
  display: none;
}

.is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-a);
}

.has-blue-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-blue-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-blue-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-blue-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-blue-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-blue-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-blue-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-blue-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-blue-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-blue-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-blue-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-blue-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-blue-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-color: var(--wp--preset--color--blue-2-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-a);
}

.has-blue-2-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-blue-2-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-blue-2-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-blue-2-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-blue-2-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-blue-2-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-blue-2-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-blue-2-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-blue-2-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-blue-2-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-blue-2-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-blue-2-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-blue-2-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-color: var(--wp--preset--color--green-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-a);
}

.has-green-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-green-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-green-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-green-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-green-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-green-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-green-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-green-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-green-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-green-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-green-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-green-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-green-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-color: var(--wp--preset--color--green-2-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-a);
}

.has-green-2-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-green-2-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-green-2-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-green-2-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-green-2-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-green-2-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-green-2-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-green-2-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-green-2-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-green-2-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-green-2-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-green-2-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-green-2-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-a);
}

.has-yellow-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-yellow-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-yellow-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-yellow-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-yellow-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-yellow-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-yellow-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-yellow-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-yellow-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-yellow-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-yellow-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-yellow-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-yellow-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-color: var(--wp--preset--color--orange-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-a);
}

.has-orange-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-orange-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-orange-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-orange-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-orange-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-orange-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-orange-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-orange-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-orange-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-orange-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-orange-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-orange-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-orange-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-color: var(--wp--preset--color--orange-2-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-a);
}

.has-orange-2-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-orange-2-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-orange-2-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-orange-2-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-orange-2-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-orange-2-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-orange-2-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-orange-2-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-orange-2-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-orange-2-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-orange-2-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-orange-2-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-orange-2-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-color: var(--wp--preset--color--red-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-a);
}

.has-red-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-red-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-red-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-red-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-red-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-red-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-red-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-red-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-red-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-red-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-red-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-red-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-red-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-color: var(--wp--preset--color--pink-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-a);
}

.has-pink-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-pink-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-pink-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-pink-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-pink-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-pink-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-pink-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-pink-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-pink-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-pink-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-pink-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-pink-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-pink-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-color: var(--wp--preset--color--purple-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-a);
}

.has-purple-1-a-background-color .wp-block-button {
  --wp--button--bg-color: transparent;
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-purple-1-a-background-color .is-style-button-blue-1-a {
  --wp--button--color: var(--wp--preset--color--blue-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-d);
}
.has-purple-1-a-background-color .is-style-button-blue-2-a {
  --wp--button--color: var(--wp--preset--color--blue-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--blue-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-2-d);
}
.has-purple-1-a-background-color .is-style-button-green-1-a {
  --wp--button--color: var(--wp--preset--color--green-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-1-d);
}
.has-purple-1-a-background-color .is-style-button-green-2-a {
  --wp--button--color: var(--wp--preset--color--green-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--green-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--green-2-d);
}
.has-purple-1-a-background-color .is-style-button-yellow-1-a {
  --wp--button--color: var(--wp--preset--color--yellow-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--yellow-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--yellow-1-d);
}
.has-purple-1-a-background-color .is-style-button-orange-1-a {
  --wp--button--color: var(--wp--preset--color--orange-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-1-d);
}
.has-purple-1-a-background-color .is-style-button-orange-2-a {
  --wp--button--color: var(--wp--preset--color--orange-2-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--orange-2-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--orange-2-d);
}
.has-purple-1-a-background-color .is-style-button-red-1-a {
  --wp--button--color: var(--wp--preset--color--red-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--red-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--red-1-d);
}
.has-purple-1-a-background-color .is-style-button-pink-1-a {
  --wp--button--color: var(--wp--preset--color--pink-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--pink-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--pink-1-d);
}
.has-purple-1-a-background-color .is-style-button-purple-1-a {
  --wp--button--color: var(--wp--preset--color--purple-1-d);
  --wp--button--bg-color: transparent;
  --wp--button--hover-color: var(--wp--preset--color--purple-1-a);
  --wp--button--hover-bg-color: var(--wp--preset--color--purple-1-d);
}
.has-purple-1-a-background-color .is-style-button-black {
  --wp--button--color: var(--wp--preset--color--grey-300);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--grey-300);
}
.has-purple-1-a-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
}

.has-primary-background-color .is-style-button-white {
  --wp--button--color: var(--wp--preset--color--white);
  --wp--button--hover-color: var(--wp--preset--color--black);
  --wp--button--hover-bg-color: var(--wp--preset--color--white);
  --wp--button--bg-color: transparent;
}

.catalogue-outils-btn.is-style-button-blue-1-a a:hover,
.catalogue-outils-btn.is-style-button-blue-1-a a:focus {
  --wp--button--color: var(--wp--preset--color--blue-1-a);
  --wp--button--hover-color: var(--wp--preset--color--blue-1-d);
  --wp--button--hover-bg-color: var(--wp--preset--color--blue-1-a);
}